package com.contabilidad.EntConta;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

@Entity
@Table(name = "usuario")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "usuario.findAll", query = "SELECT c FROM usuario c")
        , @NamedQuery(name = "usuario.findByUsuarioNombre", query = "SELECT c FROM usuario c WHERE c.usuarioNombre = :usuarioNombre")
        , @NamedQuery(name = "usuario.findByUsuarioCodigo", query = "SELECT c FROM usuario c WHERE c.usuarioCodigo = :usuarioCodigo")
        , @NamedQuery(name = "usuario.findByUsuarioContraseña", query = "SELECT c FROM usuario c WHERE c.usuarioContraseña = :usuarioContraseña")
        , @NamedQuery(name = "usuario.findBySucursalCodigo", query = "SELECT c FROM usuario c WHERE c.sucursalCodigo = :sucursalCodigo")
        , @NamedQuery(name = "usuario.findByNombreEmpleado", query = "SELECT c FROM usuario c WHERE c.nombreEmpleado = :nombreEmpleado")
        , @NamedQuery(name = "usuario.findByDepartamento", query = "SELECT c FROM usuario c WHERE c.departamento = :departamento")})
public class usuario implements Serializable {

    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 12)
    @Column(name = "usuario_nombre")
    private String usuarioNombre;
    @Id
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 3)
    @Column(name = "usuario_codigo")
    private String usuarioCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 10)
    @Column(name = "usuario_contraseña")
    private String usuarioContraseña;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "sucursal_codigo")
    private String sucursalCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 50)
    @Column(name = "nombre_empleado")
    private String nombreEmpleado;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 20)
    @Column(name = "departamento")
    private String departamento;



    public usuario() {
    }

    public String getUsuarioNombre() {
        return usuarioNombre;
    }

    public void setUsuarioNombre(String usuarioNombre) {
        this.usuarioNombre = usuarioNombre;
    }

    public String getUsuarioCodigo() {
        return usuarioCodigo;
    }

    public void setUsuarioCodigo(String usuarioCodigo) {
        this.usuarioCodigo = usuarioCodigo;
    }

    public String getUsuarioContraseña() {
        return usuarioContraseña;
    }

    public void setUsuarioContraseña(String usuarioContraseña) {
        this.usuarioContraseña = usuarioContraseña;
    }

    public String getSucursalCodigo() {
        return sucursalCodigo;
    }

    public void setSucursalCodigo(String sucursalCodigo) {
        this.sucursalCodigo = sucursalCodigo;
    }

    public String getNombreEmpleado() {
        return nombreEmpleado;
    }

    public void setNombreEmpleado(String nombreEmpleado) {
        this.nombreEmpleado = nombreEmpleado;
    }

    public String getDepartamento() {
        return departamento;
    }

    public void setDepartamento(String departamento) {
        this.departamento = departamento;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (usuarioCodigo != null ? usuarioCodigo.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method con't cork in the case the id fields are not set
        if (!(object instanceof usuario)) {
            return false;
        }
        usuario other = (usuario) object;
        if ((this.usuarioCodigo == null && other.usuarioCodigo != null) || (this.usuarioCodigo != null && !this.usuarioCodigo.equals(other.usuarioCodigo))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.contabilidad.dbcon.usuario[ usuarioCodigo=" + usuarioCodigo + " ]";
    }


}

